=== debian/changelog ===
cctools (7.1.2-5) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Embeds the home dir in binaries. Closes: #977151
  * Embeds the home dir in binaries. Closes: #977153

  [ Alastair McKinstry ]
  * Set no-parallel to make build reproducible. Closes: #977154

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Dec 2020 12:55:50 +0000

cctools (7.1.2-4) unstable; urgency=medium

  * Switch to B-D on python3-examples. Closes: #976851
  * Standards-Version: 4.5.1; no changes required
  * Update Hurd patch
  * Update python-paths.patch
  * Use libjsonparser-dev rather than bundled json.c. Closes: #958254

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Dec 2020 16:47:44 +0000

cctools (7.1.2-3) unstable; urgency=medium

  * Disable parrot; doesn't work on amd64, i386. Closes: #972232

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2020 13:07:03 +0100

cctools (7.1.2-2) unstable; urgency=medium

  * Fix FTBFS with python3.9. Closes: #972191
  * Move to debhelper level 13
  * Relabel branches as per DEP-14, add d/gpb.conf pointing to these
  * Update Vcs-Git to point to debian/latest branch
  * Add preload libraries, shared files - thanks to dh_missing

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Oct 2020 13:56:51 +0100

cctools (7.1.2-1) unstable; urgency=medium

  * New upstream release
  * Patches merged/obolete:
    - sysmacro.patch
    - 2to3 patch
    - python37-version.patch
  * Build-dep on libext2fs-dev, adding ext*fs support
  * Build-dep on libossp-uuid-dev
  * configure: fix to ensure ccflags passed / fPIC used

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 May 2020 16:46:08 +0100
