=== dttools/src/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	catalog_query.c \
 	category.c \
 	cctools.c \
+	cctools_endian.c \
 	change_process_title.c \
 	chunk.c \
 	clean_dir.c \
@@ -60,7 +61,6 @@
 	itable.c \
 	jx.c \
 	jx_binary.c\
-	jx_database.c \
 	jx_getopt.c \
 	jx_match.c \
 	jx_parse.c \
@@ -78,6 +78,7 @@
 	md5.c \
 	memfdexe.c \
 	mkdir_recursive.c \
+	mq.c \
 	twister.c \
 	nvpair.c \
 	nvpair_jx.c \
@@ -85,6 +86,7 @@
 	path.c \
 	path_disk_size_info.c \
 	pattern.c \
+	ppoll_compat.c \
 	preadwrite.c \
 	process.c \
 	random.c \
@@ -92,7 +94,7 @@
 	rmonitor_poll.c \
 	rmsummary.c \
 	set.c \
-    semaphore.c \
+	semaphore.c \
 	sha1.c \
 	shell.c \
 	sh_popen.c\
@@ -107,6 +109,7 @@
 	text_list.c \
 	timer.c \
 	timestamp.c \
+	tlq_config.c \
 	unlink_recursive.c \
 	uptime.c \
 	url_encode.c \
@@ -149,6 +152,7 @@
 	load_average.h \
 	md5.h \
 	macros.h \
+	mq.h \
 	path.h \
 	rmonitor_poll.h \
 	rmsummary.h \
@@ -174,12 +178,12 @@
 OBJECTS = $(SOURCES:%.c=%.o)
 
 #separate, because catalog_query has a slightly different order of linking.
-MOST_PROGRAMS = catalog_update catalog_server watchdog disk_allocator jx2json jx2env env_replace
+MOST_PROGRAMS = catalog_update watchdog disk_allocator jx2json jx2env env_replace
 PROGRAMS = $(MOST_PROGRAMS) catalog_query
 
 SCRIPTS = cctools_gpu_autodetect
 TARGETS = $(LIBRARIES) $(PRELOAD_LIBRARIES) $(PROGRAMS) $(TEST_PROGRAMS)
-TEST_PROGRAMS = auth_test disk_alloc_test jx_test microbench multirun jx_count_obj_test histogram_test category_test jx_binary_test
+TEST_PROGRAMS = auth_test disk_alloc_test jx_test microbench multirun jx_count_obj_test histogram_test category_test jx_binary_test mq_poll_test mq_wait_test mq_store_test
 
 all: $(TARGETS) catalog_query
