=== debian/changelog ===
cctools (7.2-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Mar 2021 16:52:30 +0100

cctools (7.2-1) unstable; urgency=medium

  * New upstream release
  * Also build with libeditreadline-dev if installed:

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Mar 2021 17:34:24 +0000

cctools (7.1.2-5ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix build by using -O0

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2021 17:14:50 +0100

cctools (7.1.2-2ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:39:35 +0100

cctools (7.1.2-2ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:52:07 +0200

cctools (7.1.2-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Oct 2020 22:35:00 +0200

cctools (7.1.2-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 May 2020 22:16:49 +0200
