=== debian/changelog ===
cctools (7.3-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Aug 2021 22:17:30 +0200

cctools (7.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Aug 2021 14:40:19 +0100
