=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   libsqlite3-dev,
   pkg-config,
   libglobus-gss-assist-dev, net-tools, doxygen,
-  libreadline6-dev | libreadline-dev, 
+  libreadline6-dev | libreadline-dev | libeditreadline-dev, 
   libncurses5-dev | libncurses-dev, 
   libjsonparser-dev,
   swig,
